## org.hibernate.dialect
Class MySQL5Dialect

    java.lang.Object
      org.hibernate.dialect.Dialect
          org.hibernate.dialect.MySQLDialect
              org.hibernate.dialect.MySQL5Dialect

Direct Known Subclasses:
  MySQL5InnoDBDialect

    public class MySQL5Dialect

extends MySQLDialect

An SQL dialect for MySQL 5.x specific features.

Author:
  Steve Ebersole

Field Summary

Fields inherited from class org.hibernate.dialect.Dialect
`CLOSED_QUOTE, DEFAULT_BATCH_SIZE, NO_BATCH, QUOTE`

Constructor Summary
`MySQL5Dialect()`

Method Summary
`protected void` `registerVarcharTypes()`
`boolean` `supportsColumnCheck()` Does this dialect support column-level check constraints?

Methods inherited from class org.hibernate.dialect.MySQLDialect

`areStringComparisonsCaseInsensitive, closeQuote, getAddColumnString, getAddForeignKeyConstraintString, getCastTypeName, getColumnComment, getCreateTemporaryTableString, getCurrentTimestampSelectString, getDropForeignKeyString, getDropTemporaryTableString, getForUpdateString, getIdentityColumnString, getIdentitySelectString, getLimitString, getReadLockString, getResultSet, getSelectGUIDString, getTableComment, getWriteLockString, isCurrentTimestampSelectStringCallable, openQuote, performTemporaryTableDDLInIsolation, qualifyIndexName, registerResultSetOutParameter, supportsCascadeDelete, supportsCurrentTimestampSelection, supportsEmptyInList, supportsIdentityColumns, supportsIfExistsBeforeTableName, supportsLimit, supportsLobValueChangePropogation, supportsRowValueConstructorSyntax, supportsSubqueryOnMutatingTable, supportsTemporaryTables`

Methods inherited from class org.hibernate.dialect.Dialect

`addTypeOverride, appendIdentitySelectToInsert, appendLockHint, applyLocksToSql, bindLimitParametersFirst, bindLimitParametersInReverseOrder, buildSQLExceptionConverter, convertToFirstRowValue, createCaseFragment, createOuterJoinFragment, doesReadCommittedCauseWritersToBlockReaders, doesRepeatableReadCauseReadersToBlockWriters, dropConstraints, dropTemporaryTableAfterUse, forceLimitUsage, forUpdateOfColumns, generateTemporaryTableName, getAddPrimaryKeyConstraintString, getCascadeConstraintsString, getColumnAliasExtractor, getCreateMultisetTableString, getCreateSequenceString, getCreateSequenceString, getCreateSequenceStrings, getCreateSequenceStrings, getCreateTableString, getCreateTemporaryTablePostfix, getCrossJoinSeparator, getCurrentTimestampSQLFunctionName, getDefaultProperties, getDialect, getDialect, getDropSequenceString, getDropSequenceStrings, getForUpdateNowaitString, getForUpdateNowaitString, getForUpdateString, getForUpdateString, getForUpdateString, getForUpdateString, getFunctions, getHibernateTypeName, getHibernateTypeName, getIdentityColumnString, getIdentityInsertString, getIdentitySelectString, getKeywords, getLimitString, getLockingStrategy, getLowercaseFunction, getMaxAliasLength, getNativeIdentifierGeneratorClass, getNoColumnsInsertString, getNullColumnString, getQuerySequencesString, getSelectClauseNullString, getSelectSequenceNextValString, getSequenceNextValString, getTableTypeString, getTypeName, getTypeName, getTypeOverrides, getViolatedConstraintNameExtracter, hasAlterTable, hasDataTypeInIdentityColumn, hasSelfReferentialForeignKeyBug, isLockTimeoutParameterized, quote, registerColumnType, registerColumnType, registerFunction, registerHibernateType, registerHibernateType, registerKeyword, replaceResultVariableInOrderByClauseWithPosition, requiresCastingOfParametersInSelectClause, supportsBindAsCallableArgument, supportsCircularCascadeDeleteConstraints, supportsCommentOn, supportsExistsInSelect, supportsExpectedLobUsagePattern, supportsIfExistsAfterTableName, supportsInsertSelectIdentity, supportsLimitOffset, supportsLockTimeouts, supportsNotNullUnique, supportsOuterJoinForUpdate, supportsParametersInInsertSelect, supportsPooledSequences, supportsResultSetPositionQueryMethodsOnForwardOnlyCursor, supportsRowValueConstructorSyntaxInInList, supportsSequences, supportsSubselectAsInPredicateLHS, supportsTableCheck, supportsTupleCounts, supportsTupleDistinctCounts, supportsUnboundedLobLocatorMaterialization, supportsUnionAll, supportsUnique, supportsUniqueConstraintInCreateAlterTable, supportsVariableLimit, toBooleanValueString, toString, transformSelectString, useInputStreamToInsertBlob, useMaxForLimit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MySQL5Dialect

    public MySQL5Dialect()

Method Detail

### registerVarcharTypes

    protected void registerVarcharTypes()

  Overrides:
    `registerVarcharTypes` in class `MySQLDialect`

### supportsColumnCheck

    public boolean supportsColumnCheck()

  Does this dialect support column-level check constraints?

  Overrides:
    `supportsColumnCheck` in class `Dialect`
  Returns:
    True if column-level CHECK constraints are supported; false otherwise.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.